<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Menu;

use Chill\MainBundle\Routing\LocalMenuBuilderInterface;
use Knp\Menu\MenuItem;
use Symfony\Component\Security\Core\Authorization\AuthorizationCheckerInterface;

class AdminMenuBuilder implements LocalMenuBuilderInterface
{
    public function __construct(protected AuthorizationCheckerInterface $authorizationChecker) {}

    public function buildMenu($menuId, MenuItem $menu, array $parameters): void
    {
        if (!$this->authorizationChecker->isGranted('ROLE_ADMIN')) {
            return;
        }

        $menu->addChild('Tickets', [
            'route' => 'chill_ticket_admin_index',
        ])
            ->setAttribute('class', 'list-group-item-header')
            ->setExtras([
                'order' => 7500,
            ]);

        $menu->addChild('admin.ticket.motive.menu', [
            'route' => 'chill_crud_motive_index',
        ])->setExtras(['order' => 7510]);
    }

    public static function getMenuIds(): array
    {
        return ['admin_section', 'admin_ticket'];
    }
}
